Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.taglib.core
Class ConvertDateTimeTagBase

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.faces.webapp.ConverterTag
              org.apache.myfaces.shared_orchestra.taglib.core.ConvertDateTimeTagBase

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.Tag

    public class ConvertDateTimeTagBase

extends javax.faces.webapp.ConverterTag

Version:
  $Revision: 382015 $ $Date: 2006-03-01 14:47:11 +0100 (Wed, 01 Mar 2006) $
Author:
  Manfred Geiler (latest modification by $Author: schof $)
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ConvertDateTimeTagBase()`

Method Summary
`protected javax.faces.convert.Converter` | `createConverter()`
`protected static void` | `setConverterLocale(javax.faces.context.FacesContext facesContext, javax.faces.convert.DateTimeConverter converter, java.lang.String value)`
`void` | `setDateStyle(java.lang.String dateStyle)`
`void` | `setLocale(java.lang.String locale)`
`void` | `setPattern(java.lang.String pattern)`
`void` | `setTimeStyle(java.lang.String timeStyle)`
`void` | `setTimeZone(java.lang.String timeZone)`
`void` | `setType(java.lang.String type)`

Methods inherited from class javax.faces.webapp.ConverterTag
`doStartTag, release, setConverterId`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertDateTimeTagBase

    public ConvertDateTimeTagBase()

Method Detail

### setDateStyle

    public void setDateStyle(java.lang.String dateStyle)

### setLocale

    public void setLocale(java.lang.String locale)

### setPattern

    public void setPattern(java.lang.String pattern)

### setTimeStyle

    public void setTimeStyle(java.lang.String timeStyle)

### setTimeZone

    public void setTimeZone(java.lang.String timeZone)

### setType

    public void setType(java.lang.String type)

### createConverter

    protected javax.faces.convert.Converter createConverter()
                                                     throws javax.servlet.jsp.JspException

  Overrides:
    `createConverter` in class `javax.faces.webapp.ConverterTag`
  Throws:
    `javax.servlet.jsp.JspException`

### setConverterLocale

    protected static void setConverterLocale(javax.faces.context.FacesContext facesContext,
                                             javax.faces.convert.DateTimeConverter converter,
                                             java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.